import { TranscriptionResult } from '@zocks-communications/client-sdk-js'

export interface ParticipantTranscriptModel {
  finalTranscripts: TranscriptionResult[]
  partialTranscript: TranscriptionResult | null
}

export interface LocalStreamTranscriptionStatus {
  serviceEnabled: boolean
  serviceLoading: boolean
  autoEnabled: boolean
  transcriptionInProgress: boolean
}
export interface SessionTranscriptModel {
  localStreamTranscriptionStatus: LocalStreamTranscriptionStatus
  displayTranscriptions: boolean
  transcripts: { [id: string]: ParticipantTranscriptModel }
}
